<?php
/**
 * This was contained in an addon until version 1.0.0 when it was rolled into
 * core.
 *
 * @package    WBOLT
 * @author     WBOLT
 * @since      2.2.0
 * @license    GPL-2.0+
 * @copyright  Copyright (c) 2019, WBOLT
 */

$pd_title = 'Smart SEO Tool';
$pd_version = SMART_SEO_TOOL_VERSION;
$pd_code = 'sst-setting';
$pd_index_url = 'https://www.wbolt.com/plugins/sst';
$pd_doc_url = 'https://www.wbolt.com/sst-plugin-documentation.html';

wp_enqueue_script('wbp-js', plugin_dir_url(SMART_SEO_TOOL_BASE_FILE) . 'assets/wbp_setting.js', array(), SMART_SEO_TOOL_VERSION, true);

?>

<div style=" display:none;">
    <svg aria-hidden="true" style="position: absolute; width: 0; height: 0; overflow: hidden;" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
        <defs>
            <symbol id="sico-upload" viewBox="0 0 16 13">
                <path d="M9 8v3H7V8H4l4-4 4 4H9zm4-2.9V5a5 5 0 0 0-5-5 4.9 4.9 0 0 0-4.9 4.3A4.4 4.4 0 0 0 0 8.5C0 11 2 13 4.5 13H12a4 4 0 0 0 1-7.9z" fill="#666" fill-rule="evenodd"/>
            </symbol>
            <symbol id="sico-wb-logo" viewBox="0 0 18 18">
                <title>sico-wb-logo</title>
                <path d="M7.264 10.8l-2.764-0.964c-0.101-0.036-0.172-0.131-0.172-0.243 0-0.053 0.016-0.103 0.044-0.144l-0.001 0.001 6.686-8.55c0.129-0.129 0-0.321-0.129-0.386-0.631-0.163-1.355-0.256-2.102-0.256-2.451 0-4.666 1.009-6.254 2.633l-0.002 0.002c-0.791 0.774-1.439 1.691-1.905 2.708l-0.023 0.057c-0.407 0.95-0.644 2.056-0.644 3.217 0 0.044 0 0.089 0.001 0.133l-0-0.007c0 1.221 0.257 2.314 0.643 3.407 0.872 1.906 2.324 3.42 4.128 4.348l0.051 0.024c0.129 0.064 0.257 0 0.321-0.129l2.25-5.593c0.064-0.129 0-0.257-0.129-0.321z"></path>
                <path d="M16.714 5.914c-0.841-1.851-2.249-3.322-4.001-4.22l-0.049-0.023c-0.040-0.027-0.090-0.043-0.143-0.043-0.112 0-0.206 0.071-0.242 0.17l-0.001 0.002-2.507 5.914c0 0.129 0 0.257 0.129 0.321l2.571 1.286c0.129 0.064 0.129 0.257 0 0.386l-5.979 7.264c-0.129 0.129 0 0.321 0.129 0.386 0.618 0.15 1.327 0.236 2.056 0.236 2.418 0 4.615-0.947 6.24-2.49l-0.004 0.004c0.771-0.771 1.414-1.671 1.929-2.7 0.45-1.029 0.643-2.121 0.643-3.279s-0.193-2.314-0.643-3.279z"></path>
            </symbol>
            <symbol id="sico-more" viewBox="0 0 16 16">
                <path d="M6 0H1C.4 0 0 .4 0 1v5c0 .6.4 1 1 1h5c.6 0 1-.4 1-1V1c0-.6-.4-1-1-1M15 0h-5c-.6 0-1 .4-1 1v5c0 .6.4 1 1 1h5c.6 0 1-.4 1-1V1c0-.6-.4-1-1-1M6 9H1c-.6 0-1 .4-1 1v5c0 .6.4 1 1 1h5c.6 0 1-.4 1-1v-5c0-.6-.4-1-1-1M15 9h-5c-.6 0-1 .4-1 1v5c0 .6.4 1 1 1h5c.6 0 1-.4 1-1v-5c0-.6-.4-1-1-1"/>
            </symbol>
            <symbol id="sico-plugins" viewBox="0 0 16 16">
                <path fill-rule="evenodd" d="M16 3h-2V0h-2v3H8V0H6v3H4v2h1v2a5 5 0 0 0 4 4.9V14H2v-4H0v5c0 .6.4 1 1 1h9c.6 0 1-.4 1-1v-3.1A5 5 0 0 0 15 7V5h1V3z"/>
            </symbol>
            <symbol id="sico-doc" viewBox="0 0 16 16">
                <path fill-rule="evenodd" d="M15 0H1C.4 0 0 .4 0 1v14c0 .6.4 1 1 1h14c.6 0 1-.4 1-1V1c0-.6-.4-1-1-1zm-1 2v9h-3c-.6 0-1 .4-1 1v1H6v-1c0-.6-.4-1-1-1H2V2h12z"/><path d="M4 4h8v2H4zM4 7h8v2H4z"/>
            </symbol>
        </defs>
    </svg>
</div>

<div id="optionsframework-wrap" class="wbs-wrap wbps-wrap" data-wba-source="<?php echo $pd_code; ?>">
    <div class="wbs-header">
        <svg class="wb-icon sico-wb-logo"><use xlink:href="#sico-wb-logo"></use></svg>
        <span>WBOLT</span>
        <strong><?php echo $pd_title; ?></strong>

        <div class="links">
            <a class="wb-btn" href="<?php echo $pd_index_url; ?>" data-wba-campaign="title-bar" target="_blank">
                <svg class="wb-icon sico-plugins"><use xlink:href="#sico-plugins"></use></svg>
                <span>插件主页</span>
            </a>
            <a class="wb-btn" href="<?php echo $pd_doc_url; ?>" data-wba-campaign="title-bar" target="_blank">
                <svg class="wb-icon sico-doc"><use xlink:href="#sico-doc"></use></svg>
                <span>说明文档</span>
            </a>
        </div>
    </div>

    <div class="wbs-main">
        <form class="wbs-content option-form" id="optionsframework" action="options.php" method="post">
		    <?php
		    settings_fields($setting_field);
		    ?>

            <div class="notice notice-warning is-dismissible"><p>Smart SEO Tool已启用，请务必确保其他SEO插件已停用，以免产生冲突。</p></div>

            <h3 class="sc-header">
                <strong>TITLES&METAS优化</strong>
                <span><input class="wb-switch" type="checkbox" data-target="#J_normalSettingTabs" name="<?php echo $setting_field;?>[normal_seo_active]" <?php echo isset($opt['normal_seo_active']) && $opt['normal_seo_active']?' checked':'';?> id="seo_active_normal"></span>
            </h3>
            <div class="sc-body default-hidden-box<?php echo isset($opt['normal_seo_active']) && $opt['normal_seo_active']?' active':'';?>" id="J_normalSettingTabs">
                <div class="wbs-tab-navs-row">
                    <ul class="tab-nav-inner">
                        <li class="tab-nav-item current">首页</li>
                        <li class="tab-nav-item">分类</li>
                        <li class="tab-nav-item">其他页面</li>
                    </ul>
                </div>

                <div class="tab-cont current">
			        <?php
			        $item_obj =  isset($opt['index']) ? $opt['index'] : array('','','');
			        $item_name =  $setting_field . '[index]';
			        ?>
                    <table class="wbs-form-table">
                        <tbody>
                        <tr>
                            <th class="row w8em">标题</th>
                            <td>

                                <div class="input-with-count">
                                    <input id="<?php echo $item_name . '_0'; ?>" class="wbs-input" data-max="80" data-preview-target="#J_pv_index_title" name="<?php echo $item_name;?>[0]" type="text" value="<?php echo $item_obj[0];?>" placeholder="">
                                    <span class="count"></span>
                                </div>
                                <p class="description">一般不超过80个字符</p>
                            </td>
                        </tr>
                        <tr>
                            <th>关键词</th>
                            <td>
                                <label class="input-with-count mt wb-tags-module">
                                    <input id="<?php echo $item_name . '_1'; ?>" data-max="100" name="<?php echo $item_name;?>[1]" data-tags-value="<?php echo $item_obj[1];?>" type="hidden" value="<?php echo $item_obj[1];?>" placeholder="">
                                    <span class="count">已输入<?php echo strlen($item_obj[1]);?></span>

                                    <div class="wb-tags-ctrl">
                                        <div class="tag-items">
									        <?php
									        if($item_obj[1]){
										        trim($item_obj[1]);
										        $tagArr = explode(',',$item_obj[1]);

										        foreach ( $tagArr as $item ) :
											        ?>
                                                    <div class="tag-item">
                                                        <span><?php echo $item; ?></span>
                                                        <a class="del" data-del-val="<?php echo $item; ?>"></a>
                                                    </div>
										        <?php endforeach; ?>
									        <?php } //endif; ?>
                                        </div>
                                        <input class="wb-tag-input" type="text" placeholder="以逗号或回车分隔">
                                    </div>
                                </label>
                                <p class="description">一般不超过100个字符</p>
                            </td>
                        </tr>
                        <tr>
                            <th>描述</th>
                            <td>
                                <div class="input-with-count mt">
                                    <textarea id="<?php echo $item_name . '_2'; ?>" class="wbs-input" data-max="200" data-preview-target="#J_pv_index_desc" rows="5" cols="42" name="<?php echo $item_name;?>[2]" placeholder=""><?php echo $item_obj[2];?></textarea>
                                    <span class="count"></span>
                                </div>
                                <p class="description">一般不超过200个字符</p>
                            </td>
                        </tr>
                        <tr style="display: <?php echo $item_obj[0] && $item_obj[2] ? 'table-row' : 'none'; ?>;">
                            <th>预览</th>
                            <td>
                                <div class="preview-box">
                                    <div class="pvb-display">
                                        <a class="preview-title" id="J_pv_index_title"><?php echo $item_obj[0];?></a>
                                        <p class="preview-desc" id="J_pv_index_desc"><?php echo $item_obj[2];?></p>
                                        <p class="preview-link"><?php echo esc_url( home_url( '/' ) ); ?></p>
                                    </div>
                                    <div class="pvb-ft">* 搜索引擎收录结果展示预览</div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="tab-cont">
			        <?php
			        $c_list = get_categories(array('hide_empty'=>0));
			        $tableHTML = '';
			        $site_title = ' - ' . get_bloginfo('name', 'display');

			        if($c_list)foreach($c_list as $k => $o){
				        $f_name = $o->term_id;
				        $o_id = 'seo_'.$f_name;
				        $o_k = $setting_field.'['.$f_name.']';
				        $o_v = isset($opt[$f_name])?$opt[$f_name]:array('','','');

				        $tagsHTML = '';

				        if($o_v[1]){
					        trim($o_v[1]);
					        $tagArr = explode(',',$o_v[1]);

					        foreach ( $tagArr as $item ) :
						        $tagsHTML .= '<div class="tag-item">
                                    <span>' .  $item . '</span>
                                    <a class="del" data-del-val="' . $item .'"></a>
                                </div>';
					        endforeach;
				        }

				        $display = $o_v[0] && $o_v[2] ? 'table-row' : 'none';

				        $tableHTML .='
					    <div class="cate-item mt" id="J_'. $o_id .'">
                            <table class="wbs-form-table">
                                <tbody>
                                    <tr>
                                        <th class="row w8em">标题</th>
                                        <td>
                                            <div class="seo-setitem input-with-count">
                                                <input id="'. $o_id .'_title" class="wbs-input" data-max="80" data-preview-target="#J_targetCate'. $f_name .'Title" name="' . $o_k .'[]" type="text" value="'. $o_v[0] .'" placeholder="">
                                                <span class="count">已输入' . strlen($o_v[0]) . '</span>
                                            </div>
                                            <p class="description">一般不超过80个字符</p>
                                        </td>
                                    </tr>
                                    
                                    <tr>
                                        <th>关键词</th>
                                        <td>
                                            <label class="input-with-count mt wb-tags-module">
                                                <input id="'. $o_id .'_keyWord" name="' . $o_k .'[]" type="hidden" data-max="100" data-tags-value="'. $o_v[1] .'" value="'. $o_v[1] .'" placeholder="">
                                                <span class="count">已输入' . strlen($o_v[1]) . '</span>
                                                
                                                <div class="wb-tags-ctrl">
                                                    <div class="tag-items">'.  $tagsHTML .'</div>
                                                        <input class="wb-tag-input" type="text" placeholder="以逗号或回车分隔">
                                                </div>
                                            </label>
                                            <p class="description">一般不超过100个字符</p>
                                        </td>
                                    </tr>
                                    
                                    <tr>
                                        <th>描述</th>
                                        <td>
                                             <div class="seo-setitem input-with-count mt">
                                                <textarea id="'. $o_id .'_desc" class="wbs-input" data-max="200" data-preview-target="#J_targetCate'. $f_name .'Desc" rows="5" cols="42" name="' . $o_k .'[]" placeholder="">'. $o_v[2] .'</textarea>
                                                <span class="count">已输入' . strlen($o_v[2]) . '</span>
                                            </div>
                                            <p class="description">一般不超过200个字符</p>
                                    </td>
                                    </tr>
                                    
                                    <tr style="display: ' . $display .'; ">
                                        <th>预览</th>
                                        <td>
                                            <div class="preview-box">
                                                <div class="pvb-display">
                                                    <a class="preview-title" id="J_targetCate'. $f_name .'Title">'. $o_v[0] . $site_title .'</a>
                                                    <p class="preview-desc" id="J_targetCate'. $f_name .'Desc">'. $o_v[2] .'</p>
                                                    <p class="preview-link">' . esc_url( home_url( "/" ) ) . '</p>
                                                </div>
                                                <div class="pvb-ft">* 搜索引擎收录结果展示预览</div>
                                             </div>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>';
				        ?>
			        <?php }
			        ?>


                    <table class="wbs-form-table">
                        <tbody>
                        <tr>
                            <th class="row w8em">请选择分类</th>
                            <td>
						        <?php $dropdown_options = array(
							        'show_option_all' => get_taxonomy( 'category' )->labels->all_items,
							        'hide_empty' => 0,
							        'hierarchical' => 1,
							        'show_count' => 0,
							        'orderby' => 'name',
							        'class' => 'settings-cate-dropdown',
							        'selected' => isset($_GET['cat'])?$_GET['cat']:null
						        );

						        wp_dropdown_categories( $dropdown_options ); ?>

                            </td>
                        </tr>
                        </tbody>
                    </table>

			        <?php echo $tableHTML; ?>
                </div>

                <div class="tab-cont">
                    <h4 class="sc-title-sub">
                        <span>文章页优化</span>
                    </h4>
                    <div class="sc-body">
                        <p>主题将按如下规则分别自动匹配每篇post的设定：</p>
                        <ul class="list-li">
                            <li>标题: 文章标题 - 站点名称</li>
                            <li>关键词: 文章编辑时使用的tag</li>
                            <li>描述: 系统自动读取文章内容前200个字符</li>
                        </ul>

                        <div class="preview-box mt">
                            <div class="pvb-display">
                                <a class="preview-title">文章标题<?php echo $site_title; ?></a>
                                <p class="preview-desc">这里将会截取你所发布文章时全文的前200个字符内容作为摘要内容，这仅演示数据，实际将会与你的站点数据为主。</p>
                                <p class="preview-link"><?php echo esc_url( home_url( '/' ) ); ?>xxx</p>
                            </div>
                            <div class="pvb-ft">* 搜索引擎收录结果展示预览，上述为DEMO演示数据</div>
                        </div>
                    </div>

                    <h4 class="sc-title-sub">
                        <span>独立页面优化</span>
                    </h4>
                    <div class="sc-body">
                        <p>主题将按如下规则分别自动匹配每篇Page的设定：</p>
                        <ul class="list-li">
                            <li>标题: 独立页面标题 - 站点名称</li>
                            <li>关键词: 为“空”</li>
                            <li>描述: 系统自动读取文章内容前200个字符</li>
                        </ul>

                        <div class="preview-box mt">
                            <div class="pvb-display">
                                <a class="preview-title">独立页面标题<?php echo $site_title; ?></a>
                                <p class="preview-desc">这里将会截取独立页面内容的前200个字符内容作为摘要内容，这仅演示数据，实际将会与你的站点数据为主。</p>
                                <p class="preview-link"><?php echo esc_url( home_url( '/' ) ); ?>xxx</p>
                            </div>
                            <div class="pvb-ft">* 搜索引擎收录结果展示预览，上述为DEMO演示数据</div>
                        </div>
                    </div>

                    <h4 class="sc-title-sub">
                        <span>搜索列表页优化</span>
                    </h4>
                    <div class="sc-body">
                        <p>主题将按如下规则优化搜索词列表页：</p>
                        <ul class="list-li">
                            <li>标题: 与「{search_keyword}」匹配搜索结果 - 站点名称 </li>
                            <li>关键词: {search_keyword}, {search_keyword}相关, {search_keyword}内容及搜索结果文章Top5热门关键词</li>
                            <li>描述: 当前页面展示所有与「{search_keyword}」相关的匹配结果，包括搜索结果文章Top5关键词（以顿号分割）等内容。</li>
                        </ul>

                        <div class="preview-box mt">
                            <div class="pvb-display">
                                <a class="preview-title">与「WordPress」匹配的搜索结果<?php echo $site_title; ?></a>
                                <p class="preview-desc">当前页面展示所有与「WordPress」搜索词相匹配的结果,包括WordPress、WordPress相关、WordPress插件、WordPres主题等内容。</p>
                                <p class="preview-link"><?php echo esc_url( home_url( '/' ) ); ?>xxx</p>
                            </div>
                            <div class="pvb-ft">* 搜索引擎收录结果展示预览，上述为DEMO演示数据</div>
                        </div>
                    </div>

                    <h4 class="sc-title-sub">
                        <span>标签页优化</span>
                    </h4>
                    <div class="sc-body">
                        <p>主题将按如下规则优化Tag列表页：</p>
                        <ul class="list-li">
                            <li>标题: 「{tag}」相关文章列表 - 站点名称</li>
                            <li>关键词: {tag}, {tag}相关, {tag}内容及标签结果文章Top5关键词</li>
                            <li>描述: 关于「{tag}」相关内容全站索引列表，包括{tag}标签列表页所有结果Top5关键词（以顿号分割）。</li>
                        </ul>

                        <div class="preview-box mt">
                            <div class="pvb-display">
                                <a class="preview-title">「WordPress主题」相关文章列表<?php echo $site_title; ?></a>
                                <p class="preview-desc">关于「WordPress主题」相关内容全站索引列表，包括WordPress主题、WordPress主题相关、WordPress主题内容、WordPress企业主题等内容。</p>
                                <p class="preview-link"><?php echo esc_url( home_url( '/' ) ); ?>xxx</p>
                            </div>
                            <div class="pvb-ft">* 搜索引擎收录结果展示预览，上述为DEMO演示数据</div>
                        </div>
                    </div>

                    <h4 class="sc-title-sub">
                        <span>作者页优化</span>
                    </h4>
                    <div class="sc-body">
                        <p>主题将按如下规则优化作者索引页：</p>
                        <ul class="list-li">
                            <li>标题: “「author_name}」作者主页 - {sitename}</li>
                            <li>关键词: 读取该作者所有文章Top5热门关键词</li>
                            <li>描述: 「author_name}」主页，主要负责{该作者所有文章Top5热门关键词（以顿号分割）}等内容发布。</li>
                        </ul>

                        <div class="preview-box mt">
                            <div class="pvb-display">
                                <a class="preview-title">「WBOLT_COM」作者主页<?php echo $site_title; ?></a>
                                <p class="preview-desc">「WBOLT_COM」作者主页，主要负责WordPress、WordPress教程、WordPress优化、WordPress主机、WordPress免费插件等内容发布。</p>
                                <p class="preview-link"><?php echo esc_url( home_url( '/' ) ); ?>xxx</p>
                            </div>
                            <div class="pvb-ft">* 搜索引擎收录结果展示预览，上述为DEMO演示数据</div>
                        </div>
                    </div>
                </div>
            </div>

	        <?php
	        $img_seo_field = $setting_field.'[img_seo]';
	        $img_seo_val = isset($opt['img_seo'])?$opt['img_seo']:array('active'=>1,'title'=>0,'alt'=>0);
	        ?>
            <h3 class="sc-header">
                <strong>图片Title&Alt优化</strong>
                <span><input class="wb-switch" type="checkbox" data-target="#J_imgSEOSettingBox"  name="<?php echo $img_seo_field;?>[active]" <?php echo isset($img_seo_val['active']) && $img_seo_val['active']?' checked':'';?> value="1" id="img_seo_active"></span>
            </h3>
            <div class="sc-body">
                <table class="wbs-form-table default-hidden-box<?php echo $img_seo_val['active']?' active':'';?>" id="J_imgSEOSettingBox">
                    <tbody>
                    <tr>
                        <th class="row w8em">图片Title</th>
                        <td>
                            <div class="selector-bar">
                                <label><input class="wbs-radio" type="radio" name="<?php echo $img_seo_field;?>[title]" value="0" <?php echo !$img_seo_val['title'] ?  'checked' : ''; ?>> 关闭</label>
                                <label><input class="wbs-radio" type="radio" name="<?php echo $img_seo_field;?>[title]" value="1" <?php echo $img_seo_val['title']==1?  'checked' : ''; ?>> 文章标题</label>
                                <label><input class="wbs-radio" type="radio" name="<?php echo $img_seo_field;?>[title]" value="2" <?php echo $img_seo_val['title']==2?  'checked' : ''; ?>> 图片名称</label>
                            </div>
                            <p class="description">启用后，当图片无Title描述时按配置规则填入Title</p>
                        </td>
                    </tr>
                    <tr>
                        <th class="row w8em">图片ALT描述</th>
                        <td>
                            <div class="selector-bar">
                                <label><input class="wbs-radio" type="radio" name="<?php echo $img_seo_field;?>[alt]" value="0" <?php echo !$img_seo_val['alt'] ?  'checked' : ''; ?>> 关闭</label>
                                <label><input class="wbs-radio" type="radio" name="<?php echo $img_seo_field;?>[alt]" value="1" <?php echo $img_seo_val['alt']==1?  'checked' : ''; ?>> 文章标题</label>
                                <label><input class="wbs-radio" type="radio" name="<?php echo $img_seo_field;?>[alt]" value="2" <?php echo $img_seo_val['alt']==2?  'checked' : ''; ?>> 图片名称</label>
                            </div>
                            <p class="description">启用后，当然图片无Alt描述时按配置规则填入Alt</p>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

	        <?php
	        $url_seo_field = $setting_field.'[url_seo]';
	        $url_seo_val = isset($opt['url_seo'])?$opt['url_seo']:array('active'=>1,'hide_category'=>1,'reset_tag'=>1,'set_nofollow'=>1,'set_gopage'=>1);
	        ?>
            <h3 class="sc-header">
                <strong>链接优化</strong>
                <span><input class="wb-switch" type="checkbox" data-target="#J_urlSEOSettingBox"  name="<?php echo $url_seo_field;?>[active]" <?php echo $url_seo_val['active']?' checked':'';?> value="1" id="url_seo_active"></span>
            </h3>
            <div class="sc-body">
                <table class="wbs-form-table default-hidden-box<?php echo $url_seo_val['active']?' active':'';?>" id="J_urlSEOSettingBox">
                    <tbody>
                    <tr>
                        <th class="row w8em">站内链接优化</th>
                        <td>
                            <div class="item-block">
                                <input class="wb-switch" value="1" type="checkbox" name="<?php echo $url_seo_field;?>[reset_tag]" <?php echo isset($url_seo_val['reset_tag']) && $url_seo_val['reset_tag']?' checked':'';?>><span>标签URL改写为： /Tag/%tag_id%</span>
                                <p class="description">*WordPress中文TAG标签默认生成的URL对搜索引擎不友好，通过改写URL优化SEO</p>
                            </div>

                            <div class="item-block pt-l">
                                <input class="wb-switch" value="1" type="checkbox" name="<?php echo $url_seo_field;?>[hide_category]" <?php echo isset($url_seo_val['hide_category']) && $url_seo_val['hide_category']?' checked':'';?>> <span>隐藏URL地址category字段</span>
                                <p class="description">启用后分类URL地址为https://www.yourdomain.com/<del>category/</del>catename/…</p>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th class="row w8em">站外链接优化</th>
                        <td>
                            <div class="item-block">
                                <input class="wb-switch" value="1" type="checkbox" name="<?php echo $url_seo_field;?>[set_nofollow]" <?php echo isset($url_seo_val['set_nofollow']) && $url_seo_val['set_nofollow']?' checked':'';?>> <span>所有Post及Page页面站外链接增加nofollow</span>
                            </div>

                            <div class="item-block mt">
                                <input class="wb-switch" value="1" type="checkbox" name="<?php echo $url_seo_field;?>[set_gopage]" <?php echo isset($url_seo_val['set_gopage']) && $url_seo_val['set_gopage']?' checked':'';?>>
                                <span>站外链接改写为https://www.yourdomain.com/go?=*</span>
                            </div>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

	        <?php
	        $robots_seo_field = $setting_field.'[robots_seo]';
	        $robots_seo_val = isset($opt['robots_seo'])?$opt['robots_seo']:array('active'=>1);
	        ?>
            <h3 class="sc-header">
                <strong>robots.txt</strong>
                <span><input class="wb-switch" type="checkbox" data-target="#J_robotsSEOSettingBox"  name="<?php echo $robots_seo_field;?>[active]" <?php echo $robots_seo_val['active']?' checked':'';?> value="1" id="robots_seo_active"></span>
            </h3>
            <div class="sc-body">
                <table class="wbs-form-table default-hidden-box<?php echo $robots_seo_val['active']?' active':'';?>" id="J_robotsSEOSettingBox">
                    <tbody>
                    <tr>
                        <th class="row w8em">当前状态</th>
                        <td>
					        <?php if(0): ?>
                                <p class="pd-b">当前未设置robots.txt，将使用通用robots.txt</p>
					        <?php else: ?>
                                <p class="pd-b">已设置robots.txt，通过下方编辑框修改编辑</p>
                                <div class="w100">
							        <?php
							        $robots_seo_val['content'] = isset($robots_seo_val['content']) && !empty($robots_seo_val['content']) ? $robots_seo_val['content']: '';

							        wp_editor( $robots_seo_val['content'], 'editor_robottxt_content', array(
									        'teeny' => true,
									        'textarea_rows' => 10,
									        'tinymce' => false,
									        'media_buttons' => false,
									        'quicktags' => false,
									        'textarea_name' => $robots_seo_field.'[content]')
							        );
							        ?>
                                </div>
					        <?php endif; ?>
                        </td>
                    </tr>
                    </tbody>
                </table>

                <table class="wbs-form-table">
                    <tbody>
                    <tr>
                        <th class="row w8em">使用说明</th>
                        <td>
                            <ol class="ol-decimal">
                                <li>robots.txt可以告诉百度您网站的哪些页面可以被抓取，哪些页面不可以被抓取。</li>
                                <li>您可以通过Robots工具来创建、校验、更新您的robots.txt文件，或查看您网站robots.txt文件在百度生效的情况。</li>
                                <li>Robots工具目前支持48k的文件内容检测，请保证您的robots.txt文件不要过大，目录最长不超过250个字符。</li>
                                <li>建议将wp-admin, wp-includes等不适宜被蜘蛛爬取的路径设为不可爬取，且可以禁止非主流的蜘蛛类型。</li>
                                <li>参考阅读<a href="https://www.wbolt.com/optimize-wordpress-robots-txt.html"  target="_blank">《如何编写和优化WordPress网站的Robots.txt》</a> </li>
                            </ol>
                        </td>
                    </tr>
                    </tbody>
                </table>

            </div>

	        <?php
	        $sitemap_seo_field = $setting_field.'[sitemap_seo]';
	        $sitemap_seo_val = $opt['sitemap_seo'];
	        ?>
            <h3 class="sc-header">
                <strong>Sitemap生成</strong>
                <span><input class="wb-switch" type="checkbox" data-target="#J_sitemapSEOSettingBox"  name="<?php echo $sitemap_seo_field;?>[active]" <?php echo $sitemap_seo_val['active']?' checked':'';?> value="1" id="sitemap_seo_active">
</span>
            </h3>
            <div class="sc-body">

                <table class="wbs-form-table default-hidden-box<?php echo $sitemap_seo_val['active']?' active':'';?>" id="J_sitemapSEOSettingBox">
                    <tbody>
                    <tr>
                        <th class="row w8em">通知搜索引擎</th>
                        <td>
                            <?php
                                $sitemap_field = $sitemap_seo_field.'[push_to]';
                                $sitemap_val = $sitemap_seo_val['push_to'];
                            ?>
                            <div class="item-block">
                                <input class="wb-switch" value="1" type="checkbox" name="<?php echo $sitemap_field;?>[google]" <?php echo $sitemap_val['google']?' checked':'';?>> 谷歌 <span class="description">* 您也可以访问<a href="https://search.google.com/search-console" target="_blank">谷歌站长平台</a>提交你的Sitemap及查看更多信息。<a href="https://www.wbolt.com/how-to-add-a-sitemap-to-google-searchconsole.html"  target="_blank">《如何通过谷歌站长工具提交WordPress网站Sitemap》</a></span>
                            </div>
                            <div class="item-block">
                                <input class="wb-switch" value="1" type="checkbox" name="<?php echo $sitemap_field;?>[bing]" <?php echo $sitemap_val['bing']?' checked':'';?>> Bing <span class="description">* 您也可以访问<a href="https://www.bing.com/toolbox/webmaster" target="_blank">Bing网站管理员工具</a>提交你的Sitemap及查看更多信息。<a href="https://www.wbolt.com/how-to-add-a-sitemap-to-bing-webmaster.html"  target="_blank">《如何添加Sitemap地图到Bing网站管理工具》</a></span>
                            </div>
                            <div class="item-block">
                                <input class="wb-switch disabled" disabled type="checkbox" value="1" name="<?php echo $sitemap_field;?>[baidu]" <?php echo $sitemap_val['baidu']?' ':'';?>> 百度 <span class="description">* 百度不支持sitemap通知，但你通过百度搜索资源平台提交。<a href="https://www.wbolt.com/how-to-set-a-sitemap-linksubmit.html"  target="_blank">查看提交教程</a></span>
                            </div>
                            <div class="item-block">
                                <input class="wb-switch disabled" disabled type="checkbox" value="1" name="<?php echo $sitemap_field;?>[360]" <?php echo $sitemap_val['360']?' ':'';?>> 360搜索 <span class="description">* 360搜索不支持sitemap通知，但你通过360平台提交。<a href="https://www.wbolt.com/how-to-add-a-sitemap-to-360-zhanzhang.html"  target="_blank">查看提交教程</a></span>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th class="row w8em">Sitemap内容</th>
                        <td>
                            <?php
                                $sitemap_field = $sitemap_seo_field.'[content_item]';
                                $sitemap_val = $sitemap_seo_val['content_item'] ;

                                $items_label = array('index'=>'首页','post'=>'日志','category'=>'分类','post_tag'=>'Tag页面','page'=>'独立页面','archive'=>'存档页面','author'=>'作者页面');
                                $frequency_arr = array('always'=>'总是','hourly'=>'每小时','daily'=>'每天','weekly'=>'每周','monthly'=>'每月','yearly'=>'每年','never'=>'从不');

                            ?>
                            <table class="table table-with-border">
                                <thead>
                                    <tr>
                                        <th>名称</th>
                                        <th>别名</th>
                                        <th>优先</th>
                                        <th>更改频率</th>
                                        <th class="w5">开关</th>
                                    </tr>
                                </thead>
                                <tbody>
                                <?php foreach($sitemap_val as $name => $value) :
                                    ?>
                                    <?php $sitemap_field_name = $sitemap_field.'['.$name.']'; ?>
                                    <tr>
                                        <td><?php echo $items_label[$name]; ?></td>
                                        <td><?php echo $name; ?></td>
                                        <td>
                                            <input class="wbs-input-range" name="<?php echo $sitemap_field_name; ?>[weights]" type="range" max="1" min="0.1" step="0.1" value="<?php echo $value['weights']; ?>">
                                            <span class="wbs-range-val"><?php echo $value['weights'] * 100 . '%'; ?></span>
                                        </td>
                                        <td>
                                            <select name="<?php echo $sitemap_field_name; ?>[frequency]" value="<?php echo $value['frequency']; ?>">
                                                <?php foreach($frequency_arr as $i => $v): ?>
                                                <option value="<?php echo $i; ?>" <?php if($i == $value['frequency']) echo 'selected'; ?>><?php echo $v; ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </td>
                                        <td><input class="wb-switch" value="1" type="checkbox" name="<?php echo $sitemap_field_name;?>[switch]" <?php echo $value['switch']?' checked':'';?>></td>
                                    </tr>
                                <?php endforeach; ?>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

            <script type="text/javascript" src="https://www.wbolt.com/wb-api/v1/news/lastest"></script>

            <div class="wb-copyright-bar">
                <div class="wbcb-inner">
                    <a class="wb-logo" href="https://www.wbolt.com" data-wba-campaign="footer" title="WBOLT" target="_blank"><svg class="wb-icon sico-wb-logo"><use xlink:href="#sico-wb-logo"></use></svg></a>
                    <div class="wb-desc">
                        Made By <a href="https://www.wbolt.com" data-wba-campaign="footer" target="_blank">闪电博</a>
                        <span class="wb-version">版本：<?php echo $pd_version;?></span>
                    </div>
                    <div class="ft-links">
                        <a href="https://www.wbolt.com/plugins" data-wba-campaign="footer" target="_blank">免费插件</a>
                        <a href="https://www.wbolt.com/knowledgebase" data-wba-campaign="footer" target="_blank">插件支持</a>
                        <a href="<?php echo $pd_doc_url; ?>" data-wba-campaign="footer" target="_blank">说明文档</a>
                        <a href="https://www.wbolt.com/terms-conditions" data-wba-campaign="footer" target="_blank">服务协议</a>
                        <a href="https://www.wbolt.com/privacy-policy" data-wba-campaign="footer" target="_blank">隐私条例</a>
                    </div>
                </div>
            </div>

            <div class="wbs-footer" id="optionsframework-submit">
                <div class="wbsf-inner">
                    <button class="wbs-btn-primary" type="submit" name="update">保存设置</button>
                </div>
            </div>

        </form>
    </div>
</div>
